Subject: Re: REequirements draft WAS(Re: framework draft v07 uploaded to IETF

From: "Khosravi, Hormuzd M" <[email-masked]>
Date: Mon, 28 Jul 2003 14:53:06 -0700

Jamal,

I was suggesting that this will be addressed by the Applicability
Statement.

Regards
Hormuzd
-----Original Message-----
From: Jamal Hadi Salim [mailto:[email-masked]] 
Sent: Sunday, July 27, 2003 11:18 PM
To: [email-masked]
Subject: Re: [FORCES] REequirements draft WAS(Re: framework draft v07
uploaded to IETF

Hormuzd,

You may be suggesting we need to change the wording
in the charter? I would prefer the requirements to be less specific but
would settle for the charter wording to change. "single hop" sounds
dangerously specific.

cheers,
jamal

On Mon, 2003-07-28 at 15:02, Khosravi, Hormuzd M wrote:
> Jamal,
>
> I don't think you missed this, the Reqs design team had made a
decision
> around a year back when the Applicability Statement was discussed in
the
> IETF,
> not to talk about Locality in the Requirements draft. This is
something
> which
> will be addressed in the App. Stmt.
>
> regards
> Hormuzd
>
> -----Original Message-----
> From: Jamal Hadi Salim [mailto:[email-masked]]
> Sent: Monday, July 28, 2003 4:02 AM
> To: [email-masked]
> Subject: [FORCES] REequirements draft WAS(Re: framework draft v07
> uploaded to IETF
>
>
> BTW,
> Hormuzd this applies to the requirements draft as well - i dont know
how
> i missed that. Its two places in the text; search for word hop.
>
> cheers,
> jamal
>
> On Sun, 27 Jul 2003, Jamal Hadi Salim wrote:
>
> > On Sun, 27 Jul 2003, Yang, Lily L wrote:
> >
> > > Hi, all --
> > >
> > > #3 (Section 4.2.1) The following old text is replaced by the new
> text to align with the requirement draft on transport:
> > > [old]
> > > "ForCES will make use of an existing RFC2914 ([2]) compliant L4 >
>
> protocol with adequate reliability, security and congestion control
> (e.g. TCP, SCTP) for transport purposes."
> > > [new]
> > > "When the CEs and FEs are separated beyond a single hop, the
ForCES
> protocol will make use of an existing RFC2914 compliant L4 protocol
with
> adequate reliability, security and congestion control (e.g. TCP, SCTP)
> for transport purposes."
> > >
> > >
> >
> > I think you should use the language defined in the charter, quote:
> >
> > " .......
> > forwarding separation for IP forwarding devices where the
> > control and forwarding elements are in close (same room/small
> > number of hops) or very close (same box/one hop) proximity. Other
> > scenarios will be considered but at not the main focus of the
> > work."
> >
> > Get rid of the term "separated beyond a single hop"  and say
> > "not close" . For that same purpose please include the two
definitions
> > above in the draft so people understand what "close"  means.
> >
> > Other than that i dont see any show stoppers.
> >
> > cheers,
> > jamal
> >

---

From: Jamal Hadi Salim <[email-masked]>
Date: Mon, 28 Jul 2003 04:31:01 -0400

Hormuzd,

The requirements should not be as narrowly zoned to specifics if the
charter is. Please fix the text in the requirements.

cheers,
jamal